Bug 1249493 - No more wired network since kernel 4.1 [NEEDINFO]
No more wired network since kernel 4.1
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-08-03 03:44 EDT by Maël Lavault
Modified: 2015-11-23 12:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-23 12:25:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?

Attachments (Terms of Use)

  None (edit)
Description Maël Lavault 2015-08-03 03:44:39 EDT
Description of problem:

Since updating to 4.1.2 and then 4.1.3 wired network do not work anymore.

If I launch a ping very shortly after boot it works for a few seconds and then stop, I tried restarting network service, deconnecting/reconnecting in nm ui, nothing works. 

The only workaround is to start on 4.0.8 for now.

Version-Release number of selected component (if applicable):
4.1.2, 4.1.3

My network card is :

Ethernet controller: Qualcomm Atheros AR8161 Gigabit Ethernet (rev 08)

Thanks !
Comment 1 standa.danis 2015-09-10 16:01:28 EDT
According to https://bugzilla.kernel.org/show_bug.cgi?id=70761 setting MTU to 8192 (in /etc/sysconfig/network-scripts/ifcfg-XXX file) enables the wired connection in the kernel-4.1.x (tested on 4.1.5 and 4.1.6, Fedora 21, Qualcomm Atheros AR8161 Gigabit Ethernet (rev 08) controller).

Comment 2 Justin M. Forbes 2015-10-20 15:42:53 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Fedora Kernel Team 2015-11-23 12:25:01 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.